Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types
Interface ResourceCollection

All Superinterfaces:
  java.lang.Iterable<Resource>

All Known Implementing Classes:
  AbstractClasspathResource, AbstractResourceCollectionWrapper, ArchiveFileSet, ArchiveResource, Archives, BaseResourceCollectionContainer, BaseResourceCollectionWrapper, BCFileSet, BZip2Resource, ClassfileSet, CompressedResource, Concat, ContentTransformingResource, Difference, DirSet, FileList, FileResource, Files, FileSet, First, GZipResource, Intersect, JavaConstantResource, Javadoc.TagArgument, JavaResource, Last, LazyResourceCollectionWrapper, LibFileSet, LogOutputResource, MappedResource, MappedResourceCollection, MultiRootFileSet, Path, Path.PathElement, PropertyResource, PropertySet, Resource, ResourceDecorator, ResourceList, Resources, Restrict, SizeLimitCollection, Sort, StringResource, Tar.TarFileSet, TarFileSet, TarResource, Tokens, Union, URLResource, ZipFileSet, ZipResource

    public interface ResourceCollection

extends java.lang.Iterable<Resource>

Interface describing a collection of Resources.

Since:
  Ant 1.7

Method Summary
`boolean` | `isFilesystemOnly()` Indicate whether this ResourceCollection is composed entirely of Resources accessible via local filesystem conventions.
`java.util.Iterator<Resource>` | `iterator()` Gets the contents of this collection.
`int` | `size()` Learn the number of contained Resources.

Method Detail

### iterator

    java.util.Iterator<Resource> iterator()

  Gets the contents of this collection.

  Specified by:
    `iterator` in interface `java.lang.Iterable<Resource>`
  Returns:
    all resources in the collection

### size

    int size()

  Learn the number of contained Resources.

  Returns:
    number of elements as int.

### isFilesystemOnly

    boolean isFilesystemOnly()

  Indicate whether this ResourceCollection is composed entirely of Resources accessible via local filesystem conventions. If true, all resources returned from this collection should respond with a `FileProvider` when asked via `Resource.as(java.lang.Class)`.

  Returns:
    whether this is a filesystem-only resource collection.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD